GNU bug report logs - #26063
26.0.50; url-insert-file-contents signals error for HTTP 304 response

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Andreas Politz <politza@HIDDEN>; Keywords: unreproducible; dated Sat, 11 Mar 2017 18:36:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 26063 <at> debbugs.gnu.org:


Received: (at 26063) by debbugs.gnu.org; 15 May 2019 05:41:28 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed May 15 01:41:28 2019
Received: from localhost ([127.0.0.1]:50782 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hQmfQ-0003pn-Ky
	for submit <at> debbugs.gnu.org; Wed, 15 May 2019 01:41:28 -0400
Received: from hermes.netfonds.no ([80.91.224.195]:38770)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1hQmfO-0003pc-6M
 for 26063 <at> debbugs.gnu.org; Wed, 15 May 2019 01:41:26 -0400
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=marnie)
 by hermes.netfonds.no with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.84_2) (envelope-from <larsi@HIDDEN>)
 id 1hQmfL-0004jY-9z; Wed, 15 May 2019 07:41:25 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Andreas Politz <politza@HIDDEN>
Subject: Re: bug#26063: 26.0.50;
 url-insert-file-contents signals error for HTTP 304 response
References: <87shmjwtkw.fsf@luca>
Date: Wed, 15 May 2019 07:41:12 +0200
In-Reply-To: <87shmjwtkw.fsf@luca> (Andreas Politz's message of "Sat, 11 Mar
 2017 19:34:39 +0100")
Message-ID: <87v9ycuvev.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 26063
Cc: 26063 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Andreas Politz <politza@HIDDEN> writes:

> Start from emacs -Q .
>
> 1. Install debbugs (http://elpa.gnu.org/packages/debbugs.html)
> 2. Enable url-automatic-caching
> 3. M-x debbugs-gnu-search RET change-group RET
>
> This should pop-up some results in a new buffer.  Now hit RET
> (debbugs-gnu-select-report) on one of them, which will popup a gnus
> buffer displaying the related articles.  Close that buffer via q
> (gnus-summary-exit).  Back in the debbugs buffer, hit RET again, which
> will lead to the following (abbreviated) backtrace.
>
> Debugger entered--Lisp error: (file-error
> "http://debbugs.gnu.org/cgi/bugreport.cgi?bug=23906;mboxmaint=yes;mboxstat=yes"
> "Not modified")

This seems to work for me in Emacs 27.

> I think url-insert-file-contents should not raise an error when the
> status code is 304, because it just means that the result comes from the
> cache, instead of the server.

Yup.  I seem to recall somebody else fixing the status code issue a
while back.  Is this still a problem for you?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#26063; Package emacs. Full text available.
Added tag(s) unreproducible. Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 11 Mar 2017 18:35:12 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Mar 11 13:35:12 2017
Received: from localhost ([127.0.0.1]:51719 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1cmlrE-0000oM-FV
	for submit <at> debbugs.gnu.org; Sat, 11 Mar 2017 13:35:12 -0500
Received: from eggs.gnu.org ([208.118.235.92]:49365)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <politza@HIDDEN>) id 1cmlrD-0000oA-M3
 for submit <at> debbugs.gnu.org; Sat, 11 Mar 2017 13:35:11 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <politza@HIDDEN>) id 1cmlr7-0005t8-7w
 for submit <at> debbugs.gnu.org; Sat, 11 Mar 2017 13:35:06 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.0 required=5.0 tests=BAYES_40,T_DKIM_INVALID
 autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:59299)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <politza@HIDDEN>)
 id 1cmlr7-0005t4-5G
 for submit <at> debbugs.gnu.org; Sat, 11 Mar 2017 13:35:05 -0500
Received: from eggs.gnu.org ([2001:4830:134:3::10]:40324)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <politza@HIDDEN>) id 1cmlr5-0006CL-NJ
 for bug-gnu-emacs@HIDDEN; Sat, 11 Mar 2017 13:35:04 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <politza@HIDDEN>) id 1cmlr1-0005pY-Pn
 for bug-gnu-emacs@HIDDEN; Sat, 11 Mar 2017 13:35:03 -0500
Received: from gateway-a.fh-trier.de ([143.93.54.181]:50773)
 by eggs.gnu.org with esmtps (TLS1.0:DHE_RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <politza@HIDDEN>)
 id 1cmlr1-0005no-Eh
 for bug-gnu-emacs@HIDDEN; Sat, 11 Mar 2017 13:34:59 -0500
X-Virus-Scanned: by Amavisd-new + McAfee uvscan + ClamAV [Rechenzentrum
 Hochschule Trier (RZ/HT)]
Received: from localhost (ip5f5bdecf.dynamic.kabel-deutschland.de
 [95.91.222.207]) (using TLSv1 with cipher AES256-SHA (256/256 bits))
 (No client certificate requested) (Authenticated sender: politza)
 by gateway-a.fh-trier.de (Postfix) with ESMTPSA id 4EF5D179B332
 for <bug-gnu-emacs@HIDDEN>; Sat, 11 Mar 2017 19:34:44 +0100 (CET)
DKIM-Signature: v=1; a=rsa-sha1; c=simple/simple; d=hochschule-trier.de;
 s=default; t=1489257284; bh=EaYVBChQ/Y21idrUB5++vxPe7zk=;
 h=From:To:Subject:Date:Message-ID:MIME-Version:Content-Type;
 b=lgV91s5P/OEoDOH7pPnpLDEJGpQxJGfG636WjrSSBspjwux4DPINaTs02mSTfsPzx
 d6TddME/BC37eBtcGAcHd5GH2U8A8RXJowJO8Gc3JAihx6H1wjMAdnNy3Cen/ygAAA
 UWOBhE2Y9SVT3ydEcsOYwGEN+KLMiXAfyBHpdShA=
From: Andreas Politz <politza@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 26.0.50; url-insert-file-contents signals error for HTTP 304 response
Date: Sat, 11 Mar 2017 19:34:39 +0100
Message-ID: <87shmjwtkw.fsf@luca>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x [fuzzy]
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -4.0 (----)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -4.0 (----)


Start from emacs -Q .

1. Install debbugs (http://elpa.gnu.org/packages/debbugs.html)
2. Enable url-automatic-caching
3. M-x debbugs-gnu-search RET change-group RET

This should pop-up some results in a new buffer.  Now hit RET
(debbugs-gnu-select-report) on one of them, which will popup a gnus
buffer displaying the related articles.  Close that buffer via q
(gnus-summary-exit).  Back in the debbugs buffer, hit RET again, which
will lead to the following (abbreviated) backtrace.

Debugger entered--Lisp error: (file-error "http://debbugs.gnu.org/cgi/bugreport.cgi?bug=23906;mboxmaint=yes;mboxstat=yes" "Not modified")
  signal(file-error ("http://debbugs.gnu.org/cgi/bugreport.cgi?bug=23906;mboxmaint=yes;mboxstat=yes" "Not modified"))
  ...
  url-insert-file-contents("http://debbugs.gnu.org/cgi/bugreport.cgi?bug=23906;mboxmaint=yes;mboxstat=yes")
  gnus-read-ephemeral-bug-group((23906) "http://debbugs.gnu.org/cgi/bugreport.cgi?bug=%s;mboxmaint=yes;mboxstat=yes" (#<buffer *"change-group" Bugs*> . #<window-configuration>))
  gnus-read-ephemeral-emacs-bug-group((23906) (#<buffer *"change-group" Bugs*> . #<window-configuration>))
  debbugs-read-emacs-bug-with-gnus(23906 ((cache_time . 1489254461.4531486) (summary) (subject . "25.0.95; Undo boundary after process output is not consistent") (done) (fixed_versions) (blockedby) (date . 1467827822) (log_modified . 1469396222) (blocks) (affects) (fixed_date) (bug_num . 23906) (source . "unknown") (unarchived) (mergedwith) (found_versions "25.0.95") (tags) (pending . "pending") (found (item (key . "25.0.95") (value))) (package "emacs") (keywords) (id . 23906) (severity . "normal") (msgid . "<m2mvlufy5t.fsf@HIDDEN>") (forwarded) (owner) (found_date) (originator . "Markus Triska <triska@HIDDEN>") (fixed) (location . "db-h") (archived) (last_modified . 1469396222)) nil)
  debbugs-gnu-select-report()


I think url-insert-file-contents should not raise an error when the
status code is 304, because it just means that the result comes from the
cache, instead of the server.

-ap




Acknowledgement sent to Andreas Politz <politza@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#26063; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Wed, 15 May 2019 05:45:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.